<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.1" xmlns="http://xmlns.jcp.org/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/persistence http://xmlns.jcp.org/xml/ns/persistence/persistence_2_1.xsd">
	<persistence-unit name="java-jsf" transaction-type="RESOURCE_LOCAL">
		<provider>org.hibernate.ejb.HibernatePersistence</provider>
		<class>br.com.java_jsf.domain.Livros</class>
		<properties>
		      <!-- Propriedades para o MySql -->
			<!-- <property name="hibernate.connection.driver_class" value="com.mysql.jdbc.Driver" />
			<property name="hibernate.connection.username" value="root" />
			<property name="hibernate.connection.password" value="" />
			<property name="hibernate.connection.url" value="jdbc:mysql://localhost:3306/testjsf" />
			<property name="hibernate.default_schema" value="testjsf"/>
		
			
			<property name="hibernate.dialect" value="org.hibernate.dialect.MySQL5InnoDBDialect" />
			<property name="hibernate.hbm2ddl.auto" value="update" />
			<property name="hibernate.show_sql" value="true" />
			<property name="hibernate.format_sql" value="true" />
			<property name="hibernate.archive.autodetection" value="class" />
			
			
			<property name="hibernate.c3p0.min_size" value="5"/>
			<property name="hibernate.c3p0.max_size" value="20"/>
			<property name="hibernate.c3p0.timeout" value="300"/>
			<property name="hibernate.c3p0.max_statements" value="50"/>
			<property name="hibernate.c3p0.idle_test_period" value="3000"/> -->
			
			<!-- Propriedades para o H2 -->
			<property name="javax.persistence.jdbc.driver" value="org.h2.Driver" />
		    <property name="javax.persistence.jdbc.url"    value="jdbc:h2:file:~/testJSF" />
		    <property name="javax.persistence.jdbc.user" value="sa" />
		    <property name="javax.persistence.jdbc.password" value="" />
		
			<property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
		    <property name="hibernate.hbm2ddl.auto" value="update" />
		    <property name="show_sql" value="true"/>
		    <property name="hibernate.format_sql" value="true" />
		    <property name="hibernate.temp.use_jdbc_metadata_defaults" value="false"/>
			
			
    	</properties>
	</persistence-unit>
</persistence>


